# Bywater BASIC

The Bywater BASIC Interpreter (bwBASIC) implements a large superset of the ANSI Standard for Minimal BASIC (X3.60-1978) and a significant subset of the ANSI Standard for Full BASIC (X3.113-1987), and many classic BASIC dialects in C. (UPX compressed) (Using Public Domain CauseWay DOS Extender)

# Contributing

**Would you like to contribute to FreeDOS?** The programs listed here are a great place to start. Most of these do not have a maintainer anymore and need your help to make them better. Here's how to get started:

* __Maintainers__: Let us know if you'd like to take on one of these programs, and we can provide access to the source code repository here. Please use the FreeDOS package structure when you make new releases, including all executables, source code, and metadata.

* __New developers__: We can extend access for you to track issues here.

* __Translators__: Please submit to the [FD-NLS Project](https://github.com/shidel/fd-nls).

_*Make sure to check all source code licenses, especially for any code you might reuse from other projects to improve these programs. Note that not all open source licenses are the same or compatible with one another. (For example, you cannot reuse code covered under the GNU GPL in a program that uses the BSD license.)_

## BWBASIC.LSM

<table>
<tr><td>title</td><td>Bywater BASIC</td></tr>
<tr><td>version</td><td>3.30</td></tr>
<tr><td>entered&nbsp;date</td><td>2024-11-13</td></tr>
<tr><td>description</td><td>The Bywater BASIC interpreter</td></tr>
<tr><td>summary</td><td>The Bywater BASIC Interpreter (bwBASIC) implements a large superset of the ANSI Standard for Minimal BASIC (X3.60-1978) and a significant subset of the ANSI Standard for Full BASIC (X3.113-1987), and many classic BASIC dialects in C. (UPX compressed) (Using Public Domain CauseWay DOS Extender)</td></tr>
<tr><td>keywords</td><td>basic, quickbasic, qbasic</td></tr>
<tr><td>author</td><td>Ted A. Campbell, Jon B. Volkoff and Howard Wulf</td></tr>
<tr><td>maintained&nbsp;by</td><td>Howard Wulf</td></tr>
<tr><td>original&nbsp;site</td><td>http://bwbasic.sourceforge.io/</td></tr>
<tr><td>primary&nbsp;site</td><td>http://sourceforge.net/projects/bwbasic/</td></tr>
<tr><td>platforms</td><td>DOS</td></tr>
<tr><td>copying&nbsp;policy</td><td>[GNU General Public License, Version 2](LICENSE)</td></tr>
</table>
